Intereting Posts
Найти количество дубликатов дескрипторов файлов в Linux Как определяется имя пользователя и можно ли скрыть компонент домена в имени пользователя winbind? Как определить, является ли вход из аргумента, файла или терминала Как открыть файлы с помощью flatpak okular из командной строки? Отображать изображения в консоли (проклятия)? Не удается войти в Alpine Linux из-за неправильной конфигурации раскладки клавиатуры Как заблокировать мой экран в Gnome 3.8 без GDM? В чем преимущество установки файловой системы в той же файловой системе Как получить текущий регулятор CPUPower Как я могу создать прокрутку матричного терминала? Выделите мышь для скринкастов без нарушения рабочего процесса iwconfig во время загрузки: операция не разрешена FreeBSD 10: отключить полное шифрование диска ZFS Запуск сверху вместо getty FreeBSD «Неустранимая двойная ошибка» при вводе пароля шифрования ZFS

Почему APT не может найти пакет?

У меня есть новая установка Debian 8 («Jessie») и вы хотите установить пакет firewalld , но APT не может его найти. Это может быть связано с тем, что во время установки я не указывал зеркало, но, насколько я могу судить, я сделал соответствующие конфигурации.

firewalld находится на зеркале:

http://ftp.us.debian.org/debian/pool/main/f/firewalld/

Это зеркало находится в файле /etc/apt/sources.list :

 deb http://ftp.us.debian.org/debian/ jessie-updates main contrib deb-src http://ftp.us.debian.org/debian/ jessie-updates main contrib 

Я обновил доступные пакеты:

# apt update

APT все еще не может найти его:

 # apt search firewalld Sorting... Done Full Text Search... Done 

Почему он не может найти пакет?

Вам нужно иметь полный репозиторий Jessie в вашем sources.list ; вы должны иметь по крайней мере

 deb http://ftp.us.debian.org/debian jessie main deb http://ftp.us.debian.org/debian jessie-updates main deb http://security.debian.org jessie/updates main 

(вы можете добавить contrib если хотите, и соответствующие строки deb-src если вы хотите также загрузить исходный код для пакетов).

Проверьте, что ваши sources.list содержит по крайней мере эти три строки, затем запускайте

 apt update apt install firewalld 

jessie-updates содержит только обновления для Jessie, он не содержит пакетов, которые были частью оригинальной версии Jessie и с тех пор не обновлялись. См. В чем разница между дистрибутивами «jessie» и «jessie-updates» в /etc/apt/sources.list? Чтобы получить больше информации.

«Установка firewalld-пакета на Debian 8 (Jessie) так же просто, как запуск следующей команды на терминале:

Обновление sudo apt-get

sudo apt-get install firewalld

С https://www.howtoinstall.co/en/debian/jessie/firewalld